HNetInfo

 Main modul HNet Info

Main modul integrates individual programs into the groups according to their use, display their list including basic information about version, language environment and actual state, provides and indicates their start-up and arranges language setting and possible programs updates. Novinky

Integrated programs list
List of programs integrated in Hnet Info allowing:
  • in report list: display detailed information about program ù name, version and commentary of program.
  • in report list: possibility to sort list according to individual items.
  • possibility to change items sequence (by Drag Drop method)
  • possibility to launch program.
  • click right button on mouse to activate the menu
    - launch program
    - display program in foreground
    - terminate program
    - program group change
    - program update
    - basic program information

    Type of list setting
    Type of list setting:
  • simple list
  • report list including information of version and short comments

    Setting options:
    - by 'Type of list setting' button in toolbar application
    - by choice in 'Setting' menu
    - direct setting of application (see 'Application setting')

    Display setting of program groups
    Display/hide setting of individual groups in list of integrated programs.
    Display state of group is indicated by symbol at proper button, indication in menu is provided by symbol at proper menu item.

    Setting is available:
    - by button for group in application toolbar
    - by choice in 'Groups' menu
    - direct setting of application (see 'Application setting')

    Program groups setting
    Setting of single programs sort to groups according to their use.

    Setting is avaiable:
    - by choice 'Remove to group' menu in list of integrated programs
    - direct setting of application (see 'Application setting')

    Colour combination setting
    Colour combination setting of application.
  • Grey
  • Yellow
  • Blue
  • Green
  • Brown
  • Purple
  • Red

    Setting is available:
    - by choice 'Settings' menu
    - direct setting of application (see 'Application setting')

    Application setting
    Basic attributes of application:
  • Main: setting of application performance and its main window
  • Main window display Display always on the top application window will be always above the other windows
    Display in the main panel the application run will be indicated by icon in main panel (Tray Icon Area)
    During minimization place into main panel -after minimization application window will be indicated by icon in main panel (Tray Icon Area only)
  • Automatic initiation
    Run automatically when Windows starts up -application will be activated automatically always when Windows starts up.
    Automatic run in minimized mode -after automatic initiation application will be minimized according to minimization conditions set in "Main window display"
  • Register: type of display setting and display selection of register groups containing integrated programs.
  • Type of list
    Report list -list containg information of name, version and program comment
    Simple list -simple list without detailed program information
  • Groups
    -display individual groups of integrated programs
    -group at program is possible to modify by push of proper button or by transposition of program on proper button (by Drag Drop method)
  • Colours: setting of colour combination application
  • Colour combination
    Grey, Yellow, Blue, Green, Brown, Purple, Red -colour combination

    Individual dates setting is possible to do individually via following choices:
    - buttons in application toolbar
    - choice in main menu of application
    - choice of programs list menu

    Setting of initiation after start-up
    Setting of automatic initiation of single programs integrated in Hnet Info at Windows start-up.
    Display mode of main module window after initiation is determinated by using the parameters in application attributes (see 'Application setting'
    Main module setting is available by:
    - choice 'Setting' menu
    - application setting (see 'Application setting')
    Setting for programs is possible to do by:
    - button 'Automatic start-up setting' in application toolbar
    - choice 'Setting' menu

    Language setting
    Setting of language mutation for individual programs integrated in Hnet Info.
  • language change at Hnet Info main module appears after setting immediately.
  • language change at integrated programs is shown only restart of applicable program.

    Language setting is possible to do by:
    - button 'Language setting' in application toolbar
    - choice 'Setting' menu

    Programs updates
    Optional single programs updates from WWW via separated updates implementing SW packages.
  • Update is possible to choice according to single programs actual versions.
    Update is possible to activate via:
    - button 'Programs updates' in application toolbar
    - choice 'Setting' menu

    Display mode of application window
    Minimization,maximization/restoration of application window
  • Display mode of application main window after minimization is determinated by using the parameters of application attributes (see 'Application setting').
    Display mode setting of window is available via:
    - button 'Minimization','Maximization'/'Restoration' in application toolbar
    - choice 'Display' menu

    About application
    Basic information about application
  • name of application, product version and language mutation
  • contact: www pages and e-mail address

    Information about application is possible to dispaly via:
    - button 'About application' in application toolbar
    - choice 'Help' menu

    Help
    Activation of help from application.
    Help is available by:
    - button 'Help' in application toolbar
    - choice 'Help' menu

    Application termination
    Finish the application of main modul Hnet Info.
    Hnet Info main module application is possible to close by:
    - button 'Application termination' in application toolbar
    - choice 'End' menu
    - via system terminating button, menu

    Notice: If initiating file of Hnet Info main module is damaged and unfunctional it's possible to restore its default options via 'Hnet Info Ini Recovery' program . Recovery is possible to use always despite repeated error appearing at Hnet Info module start-up again.